Bug 1286992 - p7zip fails to build on s390 architecture
p7zip fails to build on s390 architecture
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: p7zip (Show other bugs)
rawhide
s390 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Sergio Monteiro Basto
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-01 05:05 EST by Sinny Kumari
Modified: 2016-02-10 06:13 EST (History)
3 users (show)

See Also:
Fixed In Version: p7zip-15.09-4.fc22 p7zip-15.09-9.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-10 06:13:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix s390 build (347 bytes, patch)
2015-12-01 05:12 EST, Sinny Kumari
no flags Details | Diff
Modified s390 patch (318 bytes, patch)
2015-12-01 06:49 EST, Sinny Kumari
no flags Details | Diff

  None (edit)
Description Sinny Kumari 2015-12-01 05:05:22 EST
Description of problem:
Package p7zip with version 15.09-2 fails to build on F21 and later version on s390 architecture.

From the build log, following is the error message:
../../../../CPP/myWindows/mySplitCommandLine.cpp:99:8: error: #error ENDIANNESS
       #error ENDIANNESS

After looking into source file mySplitCommandLine.cpp, it appears that build process doesn't get endianess value on s390 machine.

Failed builds:
F21 - http://s390.koji.fedoraproject.org/koji/buildinfo?buildID=359621
F22 - http://s390.koji.fedoraproject.org/koji/buildinfo?buildID=359379
F23 - http://s390.koji.fedoraproject.org/koji/buildinfo?buildID=360543

Version-Release number of selected component (if applicable):  p7zip-15.09-2
Comment 1 Sinny Kumari 2015-12-01 05:12 EST
Created attachment 1100825 [details]
Fix s390 build
Comment 2 Sinny Kumari 2015-12-01 05:20:50 EST
Above patch (Fix s390 build) adds s390 as recognized big endian.

After applying this patch, build works fine on s390 as well as on other architectures.

Successful scratch koji builds
------------------------------
F21, s390(x) - http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1995680
F22, s390(x) - http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1995671
F22, primary arches - http://koji.fedoraproject.org/koji/taskinfo?taskID=12021393
F22, ppc64(le) - http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2952759
Comment 3 Dan Horák 2015-12-01 05:36:44 EST
__s390__ is defined for both 32-bit s390 and 64-bit s390x, so only changing __s390x__ to __s390__ in CpuArch.h will fix the issue

Sinny, can you post the patch upstream as well?
Comment 4 Sinny Kumari 2015-12-01 06:49 EST
Created attachment 1100854 [details]
Modified s390 patch

Thanks Dan for the correction. I have modified the patch (available in attachment) and it builds fine on s390 and other architectures.

I have posted the patch upstream as well at https://sourceforge.net/p/p7zip/patches/28/
Comment 5 Fedora End Of Life 2015-12-02 10:54:48 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Sergio Monteiro Basto 2015-12-02 12:46:24 EST
I will fix it soon
Comment 7 Fedora Update System 2015-12-02 19:37:05 EST
p7zip-15.09-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-995b68448d
Comment 8 Fedora Update System 2015-12-03 20:35:25 EST
p7zip-15.09-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update p7zip'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-995b68448d
Comment 9 Fedora Update System 2015-12-06 16:33:28 EST
p7zip-15.09-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-d5cc306730
Comment 10 Fedora Update System 2015-12-06 16:35:15 EST
p7zip-15.09-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-f82c6fc04a
Comment 11 Sergio Monteiro Basto 2015-12-06 20:38:03 EST
p7zip-15.09-4.fc23 has been pushed to the Fedora 23 updates stable , also include p7zip-15.09-3.fc23
Comment 12 Fedora Update System 2015-12-07 18:22:28 EST
p7zip-15.09-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update p7zip'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-d5cc306730
Comment 13 Fedora Update System 2015-12-08 02:21:59 EST
p7zip-15.09-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update p7zip'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-f82c6fc04a
Comment 14 Fedora Update System 2015-12-20 02:53:20 EST
p7zip-15.09-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-01-25 13:50:15 EST
p7zip-15.09-9.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-fca17abc84
Comment 16 Fedora Update System 2016-01-25 22:52:53 EST
p7zip-15.09-9.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-fca17abc84
Comment 17 Fedora Update System 2016-02-10 06:13:27 EST
p7zip-15.09-9.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.